Description

If you install Example Plugin, it breaks Activity Page.

From what I have found, this problem already exists in Redmine 3.4 (I have not checked Redmine 3.3 or earlier versions).

$ cp -a extra/sample_plugin plugins/

$ bin/rake db:migrate redmine:plugins:migrate RAILS_ENV=test

$ bin/rails test test/functional/activities_controller_test.rb

Run options: --seed 46703

# Running:

..DEPRECATION WARNING: acts_as_activity_provider with implicit :scope option is deprecated. Please

 pass a scope on the Meeting as a proc. (called from block (2 levels) in events at /Users/maeda/re

dmines/redmine-trunk/lib/redmine/activity/fetcher.rb:93)

E

Error:

ActivitiesControllerTest#test_global_index:

ActiveRecord::StatementInvalid: SQLite3::SQLException: no such column: projects.status

    lib/plugins/acts_as_activity_provider/lib/acts_as_activity_provider.rb:90:in `find_events'

    lib/redmine/activity/fetcher.rb:93:in `block (2 levels) in events'

    lib/redmine/activity/fetcher.rb:92:in `each'

    lib/redmine/activity/fetcher.rb:92:in `block in events'

    lib/redmine/activity/fetcher.rb:91:in `each'

    lib/redmine/activity/fetcher.rb:91:in `events'

    app/controllers/activities_controller.rb:62:in `index'

    lib/redmine/sudo_mode.rb:61:in `sudo_mode'

    test/functional/activities_controller_test.rb:70:in `test_global_index'

rails test test/functional/activities_controller_test.rb:68

Associated revisions

Revision 22079 - 2023-01-27 05:04 - Go MAEDA

Fix that Example plugin (extra/sample_plugin) breaks Activity page (#38114).

Patch by Karel Pičman.

Revision 22080 - 2023-01-28 05:49 - Go MAEDA

Merged r22079 from trunk to 5.0-stable (#38114).

Revision 22081 - 2023-01-28 05:51 - Go MAEDA

Merged r22079 from trunk to 4.2-stable (#38114).

History

#1 - 2023-01-26 16:31 - Karel Pičman

- File sample_plugin.patch added
www.redmine.org/projects/redmine/repository/show/tags/5.0.4/extra/sample_plugin


This patch should fix it.

#2 - 2023-01-27 00:57 - Go MAEDA

- Target version set to 4.2.10

Karel Pičman wrote:

This patch should fix it.

 Thank you, I have confirmed that the patch fixes the issue.

Setting the target version to 4.2.10.

#3 - 2023-01-27 05:04 - Go MAEDA

- Subject changed from Example plugin (extra/sample_plugin) does not wok to Example plugin (extra/sample_plugin) breaks Activity page

- Status changed from New to Resolved

- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed the patch. Thank you for your contribution.

#4 - 2023-01-28 05:51 - Go MAEDA

- Status changed from Resolved to Closed

Files

sample_plugin.patch 604 Bytes 2023-01-26 Karel Pičman
